# Helm

## Linter

`helm lint -f test-values.yaml`

## Unit-Tests

Für Unit-Tests wird das helm [helm-unittest](https://github.com/quintush/helm-unittest) plugin benötigt. Die Unit-Tests liegen im Verzeichnis src/test/helm

`helm unittest -f '../../test/helm/*.yaml' -v '../../test/unit-values.yaml' .`

## SyntaxCheck

`helm template --debug -f test-values.yaml .`

## Package

`helm package --version=[version] .`

## Versionierung

Jenkins verwendet die Version aus der pom.xml

### Master Branch

Im master Branch werden die ersten 7 Zeichen vom git commit hash an die Version gehangen.

### Release Branch

Ist nur die Version aus der pom.xml

### Feature Branch

In einem feature Branch wird der Branchname an die Version gehangen.
